﻿using ArcGIS.Core.CIM;
using ArcGIS.Core.Data;
using ArcGIS.Core.Geometry;
using ArcGIS.Desktop.Catalog;
using ArcGIS.Desktop.Core;
using ArcGIS.Desktop.Editing;
using ArcGIS.Desktop.Extensions;
using ArcGIS.Desktop.Framework;
using ArcGIS.Desktop.Framework.Contracts;
using ArcGIS.Desktop.Framework.Dialogs;
using ArcGIS.Desktop.Framework.Threading.Tasks;
using ArcGIS.Desktop.Layouts;
using ArcGIS.Desktop.Mapping;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Analyst3DLayers
{
  internal class CreateTerrainLayer : Button
  {
    protected override void OnClick()
    {
      var terrainUri = new Uri($@"{Project.Current.HomeFolderPath}\napa_county.gdb\napa\napa_Terrain");
      QueuedTask.Run(() => {
        var tinLayer = LayerFactory.Instance.CreateLayer(terrainUri, MapView.Active.Map) as TinLayer;
      });
    }
  }
}
