﻿using ArcGIS.Core.CIM;
using ArcGIS.Core.Data;
using ArcGIS.Core.Geometry;
using ArcGIS.Desktop.Catalog;
using ArcGIS.Desktop.Core;
using ArcGIS.Desktop.Editing;
using ArcGIS.Desktop.Extensions;
using ArcGIS.Desktop.Framework;
using ArcGIS.Desktop.Framework.Contracts;
using ArcGIS.Desktop.Framework.Dialogs;
using ArcGIS.Desktop.Framework.Threading.Tasks;
using ArcGIS.Desktop.Layouts;
using ArcGIS.Desktop.Mapping;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Analyst3DLayers
{
  internal class CreateTinLayer : Button
  {
    protected override void OnClick()
    {
      var tinUri = new Uri($@"{Project.Current.HomeFolderPath}\Palisades");
      QueuedTask.Run( () => {
        //Create layer passing in a URI to a TIN
        //Result is cast to a TinLayer
        var tinLayer = LayerFactory.Instance.
                  CreateLayer(tinUri, MapView.Active.Map) as TinLayer;
      });
    }
  }
}
